%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: Enlightenment thumbnailing library
Name: ethumb
Version: 0.1.1.55225
Release: %mkrel 1
License: LGPLv3+
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org/
Source: http://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: evas-devel
BuildRequires: ecore-devel
BuildRequires: edje-devel edje
BuildRequires: e_dbus-devel
BuildRequires: emotion-devel
BuildRequires: libexif-devel

%description
New library to generate thumbnails.
There are still some important features to be implemented, like
client-server framework, edje thumbnails and a plugin API to integrate
it with emotion and like.

%package -n %libname
Summary: Enlightenment thumbnailing library
Group: System/Libraries

%description -n %libname
New library to generate thumbnails.

%package -n %develname
Summary: Enlightenment thumbnailing library - devel files
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
ethumb development headers and development libraries.

%prep
%setup -q -n %name-%version

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %buildroot -name *.la | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/ethumb
%{_bindir}/ethumbd
%{_bindir}/ethumbd_client
%{_datadir}/dbus-1/services/org.enlightenment.Ethumb.service
%{_datadir}/ethumb
%{_libdir}/ethumb
%{_libexecdir}/ethumbd_slave

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%{_includedir}/ethumb-0/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc




%changelog
* Tue Apr 19 2011 ennael <ennael> 0.1.1.55225-1.mga1
+ Revision: 88169
- imported package ethumb


* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 0.1.1.55225-1mdv2011.0
+ Revision: 622839
- new version 0.1.1.55225

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 0.1.1.54472-1mdv2011.0
+ Revision: 597993
- new version 0.1.1.54472

* Tue Nov 09 2010 Funda Wang <fwang@mandriva.org> 0.1-0.20101107.1mdv2011.0
+ Revision: 595175
- BR exif
- new snapshot

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 0.1-0.20100715.1mdv2011.0
+ Revision: 558269
- new snapshot

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.1-0.44424.1mdv2010.1
+ Revision: 478207
- New snapshot

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.1-0.41637.1mdv2010.0
+ Revision: 411620
- add BR for edje_cc
- import ethumb

